%define upstream_name    Data-OptList
%define upstream_version 0.113

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parse and validate simple name/value option pairs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Sub::Install) >= 0.921.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description 
Hashes are great for storing named data, but if you want more than one entry
for a name, you have to use a list of pairs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Data
%{_mandir}/*/*

%changelog
* Mon Jan 02 2023 tv <tv> 0.113.0-1.mga9
+ Revision: 1928818
- update to 0.113

* Mon Mar 21 2022 umeabot <umeabot> 0.112.0-2.mga9
+ Revision: 1814656
- Mageia 9 Mass Rebuild

* Tue Jun 29 2021 tv <tv> 0.112.0-1.mga9
+ Revision: 1734153
- update to 0.112

* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-4.mga8
+ Revision: 1493652
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-3.mga7
+ Revision: 1266951
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.110.0-2.mga6
+ Revision: 1024820
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.110.0-1.mga6
+ Revision: 1001791
- update to 0.110

* Fri Feb 05 2016 umeabot <umeabot> 0.109.0-5.mga6
+ Revision: 937643
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.109.0-4.mga6
+ Revision: 937190
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.109.0-3.mga5
+ Revision: 742417
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.109.0-2.mga5
+ Revision: 684218
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 sander85 <sander85> 0.109.0-1.mga5
+ Revision: 588147
- update to 0.109

* Sat Oct 19 2013 umeabot <umeabot> 0.108.0-2.mga4
+ Revision: 533374
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 sander85 <sander85> 0.108.0-1.mga4
+ Revision: 472728
- update to 0.108

* Sun Jan 13 2013 umeabot <umeabot> 0.107.0-2.mga3
+ Revision: 365395
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.107.0-1.mga2
+ Revision: 106579
- update to 0.107

* Wed Jan 19 2011 jquelin <jquelin> 0.106.0-1.mga1
+ Revision: 24006
- cleaning spec file
- imported package perl-Data-OptList

